import request from '@/utils/request'

// 查询真题卷列表
export function listPaper_real(query) {
  return request({
    url: '/learn/paper_real/list',
    method: 'get',
    params: query
  })
}

// 查询真题卷详细
export function getPaper_real(id) {
  return request({
    url: '/learn/paper_real/' + id,
    method: 'get'
  })
}

// 新增真题卷
export function addPaper_real(data) {
  return request({
    url: '/learn/paper_real',
    method: 'post',
    data: data
  })
}

// 修改真题卷
export function updatePaper_real(data) {
  return request({
    url: '/learn/paper_real',
    method: 'put',
    data: data
  })
}

// 删除真题卷
export function delPaper_real(id) {
  return request({
    url: '/learn/paper_real/' + id,
    method: 'delete'
  })
}
